package com.brilliance.isc.convert.mt4xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.commontag.ActnoBicAdrTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.commontag.DcDateCurAmtTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT420Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT499Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT420AbsCreator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import org.junit.Test;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author gechengyang
 * @date 2023/2/27
 */
public class MT499Test {

    @Test
    public void test_499(){
        MT499Creator mt499Creator = new MT499Creator("499");
        mt499Creator.setRecvBic("CIPSCNSHXXX");//收报行
        mt499Creator.setSendBic("PSBCCNBJXXX");//发报行
        //20
        mt499Creator.setTransactionReferenceNumber("COL456");
        //21
        mt499Creator.setRelatedReference("REM432");
        //79
        List<String> list79 = new ArrayList<>();
        list79.add("GOODS WAREHOUSED AND INSURED"+ Constans.NEW_LINE+"GOODS WAREHOUSED AND INSURED");
        list79.add("GOODS WAREHOUSED AND INSURED");
        mt499Creator.setNarrative(list79);
        MtResult mtResult= MtCreatorManager.packMT(mt499Creator);
    }
    @Test
    public void test_499_2(){
        MT499Creator mt499Creator = new MT499Creator("499");
        mt499Creator.setRecvBic("CIPSCNSHXXX");//收报行
        mt499Creator.setSendBic("PSBCCNBJXXX");//发报行
        //20
        mt499Creator.setTransactionReferenceNumber("COL456AAAAAAAAAAAAAAA");
        //21
        mt499Creator.setRelatedReference("REM432AAAAAAAAAAAAAAAA");
        //79
        List<String> list79 = new ArrayList<>();
        list79.add("GOODS WAREHOUSED AND INSURED"+ Constans.NEW_LINE+"GOODS WAREHOUSED AND INSURED");
        list79.add("GOODS WAREHOUSED AND INSURED");
        mt499Creator.setNarrative(list79);
        MtResult mtResult= MtCreatorManager.packMT(mt499Creator);
    }
}
